UbuntuUpdates.org

Package "rustc"

This package belongs to a PPA: Ubuntu Mozilla Security

Name: rustc

Description:

Rust systems programming language

Latest version: 1.24.1+dfsg1+llvm-0ubuntu1~16.04.1
Release: xenial (16.04)
Level: base
Repository: main

Links

Save this URL for the latest version of "rustc": https://www.ubuntuupdates.org/rustc


Download "rustc"


Other versions of "rustc" in Xenial

Repository Area Version
base universe 1.7.0+dfsg1-1
security universe 1.24.1+dfsg1+llvm-0ubuntu1~16.04.1
updates universe 1.24.1+dfsg1+llvm-0ubuntu1~16.04.1

Packages in group

Deleted packages are displayed in grey.

libstd-rust-1.15 libstd-rust-1.17 libstd-rust-1.19 libstd-rust-1.21 libstd-rust-1.22
libstd-rust-1.24 libstd-rust-dev rust-doc rust-gdb rust-lldb
rust-src

Changelog

Version: 1.24.1+dfsg1+llvm-0ubuntu1~16.04.1 2018-05-09 20:08:54 UTC

 rustc (1.24.1+dfsg1+llvm-0ubuntu1~16.04.1) xenial; urgency=medium
 .
   * Backport 1.24.1 to xenial
   * Relax the gdb requirement and don't build-conflict on gdb-minimal
     - update debian/control
   * Relax the dependency on xz-utils by commenting out some unused code
     - add debian/patches/d-relax-xz-utils-dependency.patch
     - update debian/patches/series
     - update debian/rules

Source diff to previous version

Version: 1.22.1+dfsg1+llvm-0ubuntu2~16.04.2 2018-03-13 00:08:31 UTC

 rustc (1.22.1+dfsg1+llvm-0ubuntu2~16.04.2) xenial; urgency=medium
 .
   * Backport 1.22.1 to xenial
   * Build-depend on rustc <= 1.22.1++
   * Relax the gdb requirement and don't build-conflict on gdb-minimal
     - update debian/control
   * Relax the dependency on xz-utils by commenting out some unused code
     - add debian/patches/d-relax-xz-utils-dependency.patch
     - update debian/patches/series
     - update debian/rules

Source diff to previous version

Version: 1.21.0+dfsg1+llvm-0ubuntu3~16.04.1 2018-01-22 22:08:23 UTC

 rustc (1.21.0+dfsg1+llvm-0ubuntu3~16.04.1) xenial; urgency=medium
 .
   * Backport 1.21.0 to xenial
 .
   * Relax the gdb requirement and don't build-conflict on gdb-minimal
     - update debian/control
   * Relax the dependency on xz-utils by commenting out some unused code
     - add debian/patches/d-relax-xz-utils-dependency.patch
     - update debian/patches/series
     - update debian/rules

Source diff to previous version

Version: 1.19.0+dfsg3-3ubuntu1~16.04.1 2017-11-09 23:08:50 UTC

 rustc (1.19.0+dfsg3-3ubuntu1~16.04.1) xenial; urgency=medium
 .
   * Backport 1.19.0 to xenial
   * Relax llvm-toolchain-4.0 build dependency
   * Relax the gdb requirement and don't build-conflict on gdb-minimal
   * Relax the dependency on xz-utils by commenting out some unused code
     - add debian/patches/d-relax-xz-utils-dependency.patch
     - update debian/patches/series
     - update debian/rules

Source diff to previous version

Version: 1.17.0+dfsg2-8~ubuntu0.16.04.2 2017-09-21 23:08:57 UTC

 rustc (1.17.0+dfsg2-8~ubuntu0.16.04.2) xenial; urgency=medium
 .
   * Backport 1.17.0 to xenial
   * Relax llvm-toolchain-3.9 requirement to 1:3.9.1-4~
   * Relax the gdb requirement and don't build-conflict on gdb-minimal




About   -   Send Feedback to @ubuntu_updates